Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 393419 - app-vim/gtk-syntax-20110214-r1 file collision
Summary: app-vim/gtk-syntax-20110214-r1 file collision
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Vim Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-06 16:31 UTC by djinnZ
Modified: 2017-10-22 12:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
logs and info (log,9.13 KB, text/plain)
2011-12-06 16:34 UTC, djinnZ
Details

Note You need to log in before you can comment on or make changes to this bug.
Description djinnZ 2011-12-06 16:31:18 UTC
As in subject.
Stopped for file collision in file
/usr/share/vim/vimfiles/after/syntax/c.vim

Reproducible: Always

Steps to Reproduce:
verified at update of app-vim/gtk-syntax-20091024
Comment 1 djinnZ 2011-12-06 16:34:41 UTC
Created attachment 295001 [details]
logs and info
Comment 2 Rafał Mużyło 2011-12-06 18:32:11 UTC
Do you know which package did that previously belong to ?
Otherwise it's unlikely to be fixed.

(I've seen that warning too, but without 'strict' in FEATURES it merged fine, as it was checked as previously unowned.)
Comment 3 Jeroen Roovers gentoo-dev 2011-12-06 20:32:40 UTC
No package claimed the file.
Comment 4 Rafał Mużyło 2011-12-06 21:52:11 UTC
(In reply to comment #3)
> No package claimed the file.

Well, the little catch here is that while the above is true, it bit too much of coincidence, that I've seen the same warning.
Comment 5 djinnZ 2011-12-12 13:40:54 UTC
I have supposed the question obvious. The file c.vim will be automatically created by vim-plugin.

Seem to be an "inconsistent" implementation of the vim-plugin.

The files created by it are treated as all the files in the packages.

Say "without 'strict' work" will never be an acceptable solution.
Comment 6 Patrice Clement gentoo-dev 2017-10-22 12:44:57 UTC
Hi

We haven't been able to identify which package or eclass this file belongs to. If you find out, feel free to reopen this bug report.